Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: Core
Created: 2010-07-15 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Negative numeric values are not correctly converted to FALSE
Description

<f:if condition="-1">this should not be rendered</f:if>

actually renders the content, cause ViewHelperNode::convertToBoolean() does not correclty determine the type as /numeric/.
Solution: move the is_numeric() check above the is_string() check.

Related issues:
related to TYPO3.Fluid - Feature # 3595: Convert integer types to boolean for... Closed 2009-06-06

Associated revisions
Revision 8cb5a00c - 2010-07-15 19:18 - Bastian Waidelich

[!!!][+TASK] Fluid (ViewHelpers): The value argument is required again in form.checkbox and form.radio ViewHelpers. This is a breaking change, as
the value argument has not been mandatory for a while. But it probably won't break existing templates as omitting the value makes no sense at all.
Relates to #8852
[+FEATURE] Fluid (Core): implemented overrideArgument() method in AbstractViewHelper to be able to override previously registered arguments in
subclasses. This resolves #8852
[+BUGFIX] Fluid (Core): Negative numeric values are properly converted to FALSE when used in boolean ViewHelper arguments. This resolves #8893

History
#1 - 2010-07-15 19:18 - Bastian Waidelich
- Subject changed from Negative numeric values are not correctly converted to booleans to Negative numeric values are not correctly converted to 
FALSE

#2 - 2010-07-15 19:19 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4864.
